Package ru.nilsoft.tm

# Class TMCommand.asokp_cmd

java.lang.Object
ru.nilsoft.tm.TMCommand.asokp_cmd

Enclosing class:
  `TMCommand`

public static final class TMCommand.asokp_cmd extends Object
Дополнительные команды сервиса ключей АС ОКП (смотри функции `TMCommand.CmdServiceUpdateKeys(byte)`)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `FLAG_UPDATE`
  Запрос флага обновления (0xD7 0).
  `static final byte`
  `GET_DATA_FN`
  Запрос данных для сервера АС ОКП в ФН (0xD0).
  `static final byte`
  `GET_DATA_SERVER`
  Передача ответа от сервера АС ОКП в ФН (0xD1).
  `static final byte`
  `GET_IDS`
  Запрос массива идентификаторов (0xD7 2).
  `static final byte`
  `GET_LAST_UPDATE`
  Запрос даты последнего обновления.
  `static final byte`
  `GET_URI`
  Запрос URI адреса сервера АС ОКП (0xD7 1).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `asokp_cmd()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_UPDATE

    public static final byte FLAG_UPDATE
    Запрос флага обновления (0xD7 0).
    See Also:
      - Constant Field Values

  - ### GET_URI

    public static final byte GET_URI
    Запрос URI адреса сервера АС ОКП (0xD7 1).
    See Also:
      - Constant Field Values

  - ### GET_IDS

    public static final byte GET_IDS
    Запрос массива идентификаторов (0xD7 2).
    See Also:
      - Constant Field Values

  - ### GET_DATA_FN

    public static final byte GET_DATA_FN
    Запрос данных для сервера АС ОКП в ФН (0xD0).
    See Also:
      - Constant Field Values

  - ### GET_DATA_SERVER

    public static final byte GET_DATA_SERVER
    Передача ответа от сервера АС ОКП в ФН (0xD1).
    See Also:
      - Constant Field Values

  - ### GET_LAST_UPDATE

    public static final byte GET_LAST_UPDATE
    Запрос даты последнего обновления.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### asokp_cmd

    public asokp_cmd()